Subject: Re: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: Sean Whitton <[email-masked]>
Date: Fri, 29 Dec 2023 18:00:29 +0000

Hello,

On Fri 29 Dec 2023 at 05:47pm GMT, Sean Whitton wrote:

> I'm not sure whether to close the bug or not, because there remains the
> behavioural change for icomplete-in-buffer since Emacs 29.1.

I've found a work around for the behavioural change:

    (setopt completion-auto-help t)
    (advice-add 'completion-at-point :after #'minibuffer-hide-completions)

So maybe we should just add something explaining this to NEWS?

The default value of completion-auto-help is t, but I had it set to
`lazy'.
If someone wants the Emacs 29 behaviour back, they'll need to ensure
completion-auto-help is t, so I think we should mention it somewhere.
Essentially, completion-auto-help now affects both the *Completions*
buffer and icomplete-in-buffer's display.

-- 
Sean Whitton